Upgrade HAPI FHIR server to v3.7.0 and support R4 instead of STU3

Description

The current version of the HAPI FHIR server in the OpenLMIS tech stack is v 3.4.0, which was released in May 2018. The latest version is v3.7.0 which was released in early February 2019. This version supports the new FHIR normative release (R4) and is required to support the measure and MeasureReport resources for achieving DHIS2 interoperability. We need to upgrade the HAPI FHIR server to the latest version and switch the APIs from using DSTU3 to R4 libraries.

Acceptance Criteria:

  • HAPI FHIR has been upgraded and is running in the stack

  • R4 API location endpoint is available and accessible as is currently available

Assignee

Wam Bere

Reporter

Craig Appl

Labels

Story Points

5

Epic Link

Sprint

None

Fix versions

Affects versions

Priority

Major
Configure